dictd (1.13.0+dfsg-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:48 +0200

dictd (1.13.0+dfsg-1) unstable; urgency=low

  * New upstream version:
    + contains IPv6 support (closes: #709820, LP: #381324).
  * Add 19-fix-typo-in-man-page.patch to fix double "or" in man page.
  * Build with debhelper v13.
  * debian/control:
    + Rules-Requires-Root: no;
    + Standards-Version: 4.5.0.
  * Update debian/copyright file.
  * Remove unused debian/doc/dictd.8 file.

 -- Robert Luberda <robert@debian.org>  Mon, 17 Aug 2020 09:16:25 +0200

dictd (1.12.1+dfsg-8) unstable; urgency=medium

  * Ignore errors of update-inetd --disable/--remove, as update-inetd has
    recently stared failing on missing /etc/inetd.conf (closes: #906420).
    This is not done for --add/--enable, basing on the assumption that if
    user selects inetd-mode only if inetd is already installed.
  * Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 19 Aug 2018 11:33:26 +0200

dictd (1.12.1+dfsg-7) unstable; urgency=medium

  * Add dependency on $network and $local_fs to init.d file (closes: #902408).
  * dictd.config: stop the dictd server when the script is called by
    dpkg-reconfigure. This fixes a long-standing logic error that prevented
    smooth switching from "daemon" to "inetd" or "disabled" modes (the postinst
    script tried to restart the server after the new value of the run mode
    had been already stored, but the init.d script did nothing if the new run
    mode was different than "daemon").
  * doc/README.inetd: describe how to switch to the "inetd" mode by means
    of dpkg-reconfigure command (closes: #900794).
  * Add 18-colorit-missing-packages.patch to make 'colorit' utility script
    fail with a helpful message if gawk or m4 are not installed; and loose
    relationship on those two packages from "Recommends" to "Suggests"
    (closes: #573608, #860764, LP: #1048062).
  * Document the lack of paging support in README.Debian for dict: mention
    that pager was removed by upstream, and suggest a solution based on
    an old entry from upstream's NEWS file (closes: #856034, LP: #248412).

 -- Robert Luberda <robert@debian.org>  Sat, 30 Jun 2018 10:59:18 +0200

dictd (1.12.1+dfsg-6) unstable; urgency=medium

  * Fix a bug introduced in 17-fix-some-gcc-8-warnings.patch that caused
    dictd to fail to start in non-inetd mode (closes: #902264, #902266).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Jun 2018 10:19:13 +0200

dictd (1.12.1+dfsg-5) unstable; urgency=medium

  * Rebuild with libmaa-dev 1.4.2.
  * Bump debhelper's compat level to 11.
  * Remove usage of autotools-dev package (lintian).
  * Switch Vcs fields to salsa.debian.org.
  * Update 09-spelling-typos.patch with fixes for more typos (lintian).
  * Document files removed from the upstream tarball in Files-Excluded
    field of debian/copyright (lintian) and update debian/watch for
    automatic creation of the tarball.
  * debian/rules: Remove additional arguments passed to dh_installinit
    (closes: #835257).
  * Add three patches from Власенко Михаил Викторович:
    + 14-fix-mime-option.patch not to incorrectly require argument for
      --mime option (closes: #890948);
    + 15-mime-with-strategy.patch to fix conflict between --mime
      and --strategy options (closes: #892253);
    + 16-combining-greek-ypogegrammeni.patch to mark COMBINING GREEK
      YPOGEGRAMMENI character as non-alphanumeric (closes: #785640,
      LP: #1744896).
  * Add 17-fix-some-gcc-8-warnings.patch to fix most of GCC-8 warnings.
  * Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Sat, 23 Jun 2018 23:21:31 +0200

dictd (1.12.1+dfsg-4) unstable; urgency=medium

  * Add 12-no-name-flag.patch to introduce --no-name option for dictzip
    to help reproducible builds (closes: #776430).
  * Update 09-spelling-typos.patch with fixes for more typos found by
    lintian.
  * debian/rules: enable all hardening options.
  * debian/copyright: make license names unique (lintian).
  * Fix command-with-path-in-maintainer-script lintian warning, and
    remove old work-around for bug#510406.
  * Add 13-Fix-compiler-warnings.patch to fix some of the warnings
    generated by gcc-6.
  * debian/control:
    + switch to https and cgit in Vcs fields;
    + Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 21 Aug 2016 13:20:56 +0200

dictd (1.12.1+dfsg-3) unstable; urgency=medium

  * Build-Depends on libtool-bin instead of libtool (closes: #761744).
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Sep 2014 12:01:44 +0200

dictd (1.12.1+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Thu, 09 May 2013 22:54:04 +0200

dictd (1.12.1+dfsg-1) experimental; urgency=low

  * New upstream version:
    + fixed "dictl: incorrect handling of apostrophe" (closes: #677868).
  * Remove 13-dictd_virtual-example.patch and 14-dictd.8-typos.patch
    as they were applied by upstream.
  * Merge 12-spelling-typos2.patch into 9-spelling-typos.patch.
  * Switch to using debhelper v9..

 -- Robert Luberda <robert@debian.org>  Thu, 28 Mar 2013 22:18:27 +0100

dictd (1.12.0+dfsg-5) unstable; urgency=low

  * 14-dictd.8-typos.patch: Fix typos in dictd(8) man page (closes: #657197).
  * debian/control:
    + Standards-Version: 3.9.3.
    + Update VCS fields.
  * debian/dictd.init: add lsb Description field.

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2012 21:45:45 +0200

dictd (1.12.0+dfsg-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #652021
    - Indonesian (Mahyuddin Susanto).  Closes: #661144

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Mar 2012 07:58:17 +0100

dictd (1.12.0+dfsg-4) unstable; urgency=low

  * Rebuild with the latest libmaa.
  * Add Danish translation of debconf templates (closes: #624662).
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + reformat dependency fields with wrap-and-sort command;
    + bump dependency on libmaa-dev to >= 1.3.0;
    + add VCS fields.
  * debian/rules: switch to using debhelper's tiny rules format.
  * debian/copyright: change format to DEP-5.
  * Prefix patch names with a sequential numbers and refresh patches with
    gbp-pq import/export.
  * New patches:
    + 12-spelling-typos2: fix more spelling typos found by lintian;
    + 13-dictd_virtual-example: fix wrong keyword in dictd_virtual.conf
      example (closes: #622637).

 -- Robert Luberda <robert@debian.org>  Sat, 07 May 2011 07:20:48 +0200

dictd (1.12.0+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + support build-arch and build-indep targets;
    + make use of dpkg-buildflags, dh_auto_*, dh_autotools_dev* commands;
    + pass -D_FILE_OFFSET_BITS=64 to CPPFLAGS.
  * Join Makefile-debcflags.patch, Makefile-clean.patch into Makefile.patch.
  * Makefile.patch: don't filter `-O' out from CFLAGS any more.
  * dict_lookup.patch: minor fix.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Feb 2011 15:16:46 +0100

dictd (1.12.0+dfsg-2) experimental; urgency=low

  * Merge changes from version 1.11.2+dfsg-4.
  * Install the new dict_lookup binary into dict package.
  * Add dict_lookup.patch:
    + check for existance of xterm & xclip commands;
    + select first available utf-8 locale or fail if there isn't any;
    + use colorit with its default configuration.

 -- Robert Luberda <robert@debian.org>  Wed, 02 Feb 2011 20:20:07 +0100

dictd (1.12.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).
  * Bump debhelper to v8.
  * Switch to the 3.0 (quilt) source format. Drop build dependency on quilt
    together with the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 10:40:33 +0100

dictd (1.11.2+dfsg-4) unstable; urgency=medium

  * md5-64bit.patch: fix invalid definition on uint32 type on 64-bit systems
    (except for alpha), which caused failures when 64-bit dict client tried
    to authenticate a user against 32-bit dictd server (closes: #611203).
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).

 -- Robert Luberda <robert@debian.org>  Fri, 28 Jan 2011 23:53:32 +0100

dictd (1.11.2+dfsg-3) unstable; urgency=low


  * Pass AWK=awk to configure (closes: #608701).
  * Remove dependency on gawk from the dictfmt package, it's no longer needed.
  * Standards-Version: 3.9.1 (no changes).
  * Add spelling-typos.patch to fix some typos found by lintian.

 -- Robert Luberda <robert@debian.org>  Tue, 04 Jan 2011 23:25:57 +0100

dictd (1.11.2+dfsg-2) unstable; urgency=low

  * Rebuild with the latest libmaa-dev.
  * Update Finnish translation of the debconf template (closes: #564510).
  * dictd.init: Properly initialise the $DEFAULTSFILE variable.
  * debian/NEWS: remove asterisks (lintian).
  * debian/rules: support DEB_BUILD_OPTIONS=nocheck.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Jan 2010 11:03:00 +0100

dictd (1.11.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Replace build dependencies on libltdl3-dev with libltdl-dev.
  * Run `make test' during build.
  * Add lintian override for `init.d-script-possible-missing-stop'.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Oct 2009 14:53:05 +0200

dictd (1.11.1+dfsg-3) unstable; urgency=low

  * debian/init.d:
    + add status support (closes: #538666);
    + made force-reload same as reload (closes: #538663).
  * [Debconf translation updates]
    - Czech (closes: #533035)
    - Finnish (closes: #533596)
    - Slovak (closes: #534442).
  * Add debian/README.source.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 14:25:13 +0200

dictd (1.11.1+dfsg-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #522251
  * [Debconf translation updates]
    - Japanese. Closes: #522782
    - Portuguese. Closes: #523189
    - Italian. Closes: #523418
    - Swedish. Closes: #523697
    - Galician. Closes: #524244
    - Spanish. Closes: #524343
    - German. Closes: #524399
    - French. Closes: #524867
    - Russian. Closes: #524891

  [ Robert Luberda ]
  * Applied the above patch from Christian.
  * Standards-Version: 3.8.1 (no changes).
  * Fix too long lines in extended descriptions (lintian).
  * Update Polish debconf translations.

 -- Robert Luberda <robert@debian.org>  Sat, 02 May 2009 08:56:20 +0200

dictd (1.11.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    + remove patches applied by upstream: dictd.8-man and dictfmt-sort-base64;
    + refresh other patches.
  * s/\.dfsg/+dfsg/ in upstream versions naming scheme (lintian).
  * Upload to unstable, since libmaa got finally accepted (closes: #512071).
  * Makefile-clean.patch: remove auto-generated example file.
  * dictd-close-fds.patch: close all file descriptors on dictd start not to
    hang dpkg-reconfigure.
  * copyright: refer to non-symlinked GPL-3 file (lintian).
  * control: set dictfmt's section back to utils.
  * debian/watch: use sf.net redirector (lintian).
  * Minor fixes in debconf templates, update Polish translation of them.

 -- Robert Luberda <robert@debian.org>  Sun, 08 Mar 2009 23:34:43 +0100

dictd (1.11.0.dfsg-1) experimental; urgency=low

  * New upstream release:
    + remove dictd.c-alen-init.patch, applied upstream;
    + refresh other patches.
  * dictd.conf: bind to localhost interface only (closes: #357963, #486784).
  * Made dictd startup more configurable and allow to disable dictd entirely
    or run it via inetd server (closes: #472533, #386009) (LP: #42285):
    + manage /etc/default/dictd file with debconf and ucf;
    + modify init and postinst/postrm scripts for the above change;
    + add "allow: inetd" do dictd.conf;
    + depend on ucf and update-inetd.
  * Remove stop links from rc0 and rc6 (closes: #495545).
  * dictfmt-sort-base64.patch: fix problem with offset overwriting in dicfmt.
    Thanks to Radovan Garabík  for the patch (closes: #510703).
  * Fix descriptions (lintian).
  * Remove pre-sarge stuff from maintainer scripts.
  * Build-depend on libmaa-dev.
  * Standards-Version: 3.8.0 (no changes).
  * Build with debhelper v7.
  * Remove duplicated fields from control (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 10 Jan 2009 18:08:00 +0100

dictd (1.10.11.dfsg-2) unstable; urgency=low

  * Suggests dictd-dictionary as an alternative to dict-gcide (closes: #477511).

 -- Robert Luberda <robert@debian.org>  Thu, 24 Apr 2008 21:24:47 +0200

dictd (1.10.11.dfsg-1) unstable; urgency=low

  * New upstream release
  * dictd.c-alen-init.patch: new patch to fix a problem introduced by upstream
    with first connection being denied.
  * colorit-bashisms.patch: removed.
  * Makefile-debcflags.patch, dictdplugin_popen-g++-4.3compile.patch: updated.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Apr 2008 10:37:45 +0200

dictd (1.10.10.dfsg-2) unstable; urgency=low

  * dict: recommend gawk which is needed by colorit (closes: #463509).
  * colorit-bashisms.patch: patch from upstream CVS to fix colorit bashisms
    (closes: #464640).
  * dictfmt.1-man.patch: fix lintian's manpage-has-errors-from-man warning.
  * man-hyphens.patch: updated for one another unquoted hyphen found by
    lintian.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Mar 2008 14:34:51 +0100

dictd (1.10.10.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #390046, #386390):
    + dict no longer uses pager (closes: #254662), which also  makes a few
      other bugs irrelevant (closes: #389424, #332372, #324653). Document
      the change in debian/NEWS.
    + All our patches seem to be applied by upstream.
    + The dictfmt_virtual command was removed.

  * Makefile-debcflags.patch: Add support for $(DEBCFLAGS),
    and remove `-O' from default CFLAGS.
  * dictdplugin_popen-g++-4.3compile.patch: Fix FTBFS with GCC 4.3
    (closes: 454819).
  * dictd.8-man.patch: Use @SYSCONFDIR@ instead of hard-coded /etc.
  * man-hyphens.patch: Fix lintian's `hyphen-used-as-minus-sign' warning.
  * dictl-translit.patch: Use iconv's //TRANSLIT suffix (closes: #378792).
  * colorit-nopp-fix.patch: Made colorit work with `-pp -'.
  * colorit-manpage-nopager.patch: Remove references to pager.

  * Use upstream dictd(8) man page instead of our local one.
  * Install 'colorit' script, provide a sample configuration file for it.
  * Correct path in dict.conf's  header.
  * debian/copyright: Refer to GPL v2 instead of v1 (closes: #441060).
  * Update Debian docs, reorder sections in dict.README.Debian to make
    it more visible that dict does not convert character sets and dictl
    should be used in this purpose (closes: #300630).

  * debian/rules:
    + Add support for DEB_BUILD_OPTIONS=noopt.
    + Don't compile plugins even if libjudy-dev or libdb-dev is installed.
    + Samples doesn't compile, so don't try to compile them.
    + Pass -Wl,-z,defs -Wl,--as-needed to LDFLAGS.

  * debian/control:
    + Made dictfmt depend on gawk (fixes Ubuntu bug 22669).
    + Add m4 to dict's recommends since colorit uses it.
    + Build-depend on libtool.
    + Standards-Version: 3.7.3.

 -- Robert Luberda <robert@debian.org>  Fri, 25 Jan 2008 21:08:25 +0100

dictd (1.10.2.dfsg-5) unstable; urgency=low

  * Remove non-free doc/rfc* files from debian diff (closes: #393365).
  * Rewrite init.d script, make it LSB-compliant (closes: #460201).
  * Fix dictd.postinst script to properly restart dictd after upgrade.
  * Correct path to configuration files in dictdconfig(8) (closes: #434579),
    package description (closes: #460937), dictd.conf (closes: #390497),
    and in READMEs.
  * Fix typos in dictdconfig.alias (closes: #403054) and in READMEs.
  * Don't ship empty /usr/bin directory (lintian).
  * Put homepage information in control file.
  * Apply patch from bug to make dictl work with DICTL_USE_KONWERT
    (closes: #401666).

 -- Robert Luberda <robert@debian.org>  Sun, 20 Jan 2008 11:56:44 +0100

dictd (1.10.2.dfsg-4) unstable; urgency=low

  * Adopted package (closes: #461566).
  * Switch hand-made build system to debhelper v6.
  * Use quilt for maintaining patches.
  * Reorganise source package's debian dir.
  * Fix broken lines in debian/NEWS (lintian).
  * Fix spelling error in description: debian -> Debian (lintian).
  * Add debian/watch file.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Jan 2008 23:25:03 +0100

dictd (1.10.2.dfsg-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.3 (Closes: 413487).
  * Repack orig.tar.gz to prune non free RFCs (Closes: 393365).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 21 Jul 2007 14:03:50 +0200

dictd (1.10.2-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
  * debian/rules:
    + Remove libmaa/config.{guess,sub} in clean target.
    + Remove libmaa/arggram2c in clean target (autogenerated).
    + Add debian/substvars to FILES_TO_CLEAN.
    + Fix the way symlinks were created.
  * debian/copyright:
    + Update FSF address.
  * debian/changelog:
    + Removed bogus changelog entry for version 1.9.9-4.
  * debian/preinst:
    + Fix &> bashism.
  * debian/postrm:
    + Fix &> bashism.
  * debian/dict.conf:
    + Added alternative dict servers to the configuration file, as dict.org
      seems to be down, making the package unusable (closes: #405863).
  * debian/preinst-dict, debian/postinst-dict, debian/postrm-dict:
    + Applied patch from Justin Pryzby, fixing various errors in the maintainer
      scripts (closes: #372144).

 -- Julien BLACHE <jblache@debian.org>  Fri, 12 Jan 2007 14:23:45 +0100

dictd (1.10.2-3) unstable; urgency=low

  * Changed umask to 022 to avoid "other writable" pid files.

 -- Kirk Hilliard <kirk@debian.org>  Fri,  9 Dec 2005 03:33:25 -0500

dictd (1.10.2-2) unstable; urgency=low

  * Include libmaa/ when linking config.{guess,sub} to local (up-to-date)
    versions.  Thanks, Petr.  (closes: #342406)

 -- Kirk Hilliard <kirk@debian.org>  Wed,  7 Dec 2005 17:38:26 -0500

dictd (1.10.2-1) unstable; urgency=low

  * New upstream release.  (closes: #339792)
    See /usr/share/doc/dictd/NEWS for a summary of changes in this version.
    Most significantly, dictd now uses internal implementations of
    UCS-2/UTF-8 functions.  Thus, dictd no longer need to specify a utf-8
    locale with the --locale option in order to use dictionaries encoded
    in utf-8.  (closes: #232227, #314325, #292068, #297616)
    Upstream release also fixes a typo for the dict(1) man page.
    (closes: #310349, #336049)
  * Fixed typo in package description.  (closes: #311138)
  * Pached libmaa/log.c to prevent logging buffer overflow.
  * The pid file is back, so changed /etc/init.d/dictd accordingly.
    Note that dictd still drops root privileges in favor of dictd.dictd
    immediately after writing the pid file.

 -- Kirk Hilliard <kirk@debian.org>  Sun,  4 Dec 2005 20:34:50 -0500

dictd (1.9.15-1) unstable; urgency=low

  * New upstream version.
  * Patched dictl so that the argument may conatain an apostrophe.
    Closes: #263819
  * Removed unused colorit script and man page.  Closes: #263012

 -- Kirk Hilliard <kirk@debian.org>  Thu, 13 Jan 2005 14:06:59 -0500


dictd (1.9.14-2) unstable; urgency=low

  * Changed home diretory of system user dictd to /var/lib/dictd.
    Closes: #253130
  * Stop dictd --inetd from logging to stderr.  Closes: #257886

 -- Kirk Hilliard <kirk@debian.org>  Sat, 31 Jul 2004 04:32:57 -0400


dictd (1.9.14-1) unstable; urgency=low

  * New upstream version.

 -- Kirk Hilliard <kirk@debian.org>  Sun, 13 Jun 2004 18:56:00 -0400


dictd (1.9.13-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Patched dict to use /usr/bin/pager as default pager.  Closes: #246981
  * Added dictd | dict-server "suggests" for dict.  Closes: #240418
  * Improved error message which had suggested -v option even when -v is
    used.  Closes: #240274

 -- Kirk Hilliard <kirk@debian.org>  Tue,  8 Jun 2004 07:25:59 -0400


dictd (1.9.12-3) unstable; urgency=low

  * Provided NEWS.Debian.gz in each binary package, not just in dictd.
   Closes: #238612

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 19 Mar 2004 14:04:33 -0500


dictd (1.9.12-2) unstable; urgency=low

  * Patched dict.1 to reflect the Debian location of dict.conf (this was
    overlooked in 1.9.12-1).

  *  Updated NEWS.Debian.gz

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 17 Mar 2004 10:08:02 -0500


dictd (1.9.12-1) unstable; urgency=low

  * New upstream version.  See /usr/share/doc/dictd/NEWS for a summary of
    major changes in this version.

  * Wrong DICTL_CHARSET evaluation has ben corrected in dictl, based on a
    patch submitted by Roland Rosenfeld <roland@spinnaker.de>. Thanks
    Roland.  Closes: #231545

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of the mueller7-dict and muller7accent-dict to utf-8
    encoding, and to mention the broken status of the dict-freedict*
    packages.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 15 Mar 2004 16:22:07 -0500

dictd (1.9.11-5) unstable; urgency=low

  * Upstream didn't accept the modification to dictl in 1.9.11-2, so I have replaced dictl with dictl from CVS. Closes: #231401 (really this time).

  # Added Depends: recode to dict, needed to make dictl work.

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 07 Feb 2004 18:43:45 -0500


dictd (1.9.11-4) unstable; urgency=low

  * Kirk Hilliard <kirk@debian.org> has patched dictfmt.c to improve
    handling of multipole headwords (added the --break-headwordsoption),
    and modified dictfmt.1 accordingly.  Thanks, Kirk!

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of dict-de-en to utf-8 encoding.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 04 Feb 2004 16:35:46 -0500


dictd (1.9.11-3) unstable; urgency=low

  * Corrected typo in dictfmt.1

  * Patched dictfmt.c to corrrect formatting of database-info with the -f
    option.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 26 Jan 2004 11:58:57 -0500


dictd (1.9.11-2) unstable; urgency=low

  * Modified dictl script to test for the presence of /usr/bin/recode, and default to using iconv if recode is not present.  Closes: #228700

 -- Robert D. Hilliard <hilliard@debian.org>  Tue, 20 Jan 2004 18:56:52 -0500


dictd (1.9.11-1) unstable; urgency=low

  * New upstream version.  See /usr/share/doc/dictd/NEWS for a summary of
    major changes in this version.

  * Upstream now provides a NEWS file.  The changelog was inadvertenmtly
    omitted from the distributed package.  Added symlink from NEWS.gz to
    changelog.gz as a temporary correction.

  * Moved dict.conf from /etc/ to /etc/dictd/.  This permits using
    ./configure --sysconfdir=/etc/dictd instead of patching defs.h.

  * The dictd binary package no longer includes the plug-in shared
    libraries (dictdplugin_exit.so and dictdplugin_popen.so) in
    /usr/lib/dictd, and the man_popen files (man_popen.dict,
    man_popen.index, and search_man) in /usr/share/dictd/examples.
    /usr/share/doc/dictd/README.Plugins.gz has been modified to reflect
    this change.

  * If dictd fails due to incompatiability of a database locale with
    dictd's locale, it is now logged.  Closes: #216981

  * Edited dictfmt.1 to clarify what goes into the 00-database-info and
    what is considered the first headword.  Closes: #209055

  * dictfmt is broken in 1.9.11.  Inserted dictfmt.c, libmaa/string.c and
    libmaa/maa.h from CVS (Mon, 06 Jan 2004) into source tree, and patched
    dictfmt.c to fix some formatting problems.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 05 Jan 2004 14:06:28 -0500


dictd (1.9.10-3) unstable; urgency=low

  * Added /usr/share/doc/README.Dictd-locales.gz to clarify the use of the
    --locale option.  Closes: #213745

  * Added /usr/share/doc/NEWS.Debian.gz

  * Applied patch from Grant Hollingworth <grant@antiflux.org> to
    dictfmt.c.  This patch eliminates indentation errors in the first
    headword of a .dict file. This makes `dict -i-' and `dict
    00-database-info' work correctly.  Thanks, Grant. Closes: #221184

  * Added "Usage:" line to help screens for dict, dictd, and dictfmt.
    Closes: #221945


 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 10 Dec 2003 20:28:30 -0500


dictd (1.9.10-2) unstable; urgency=low

  * quoted "$PAGER" in test in dictl Closes: #204284.

  * Applied patch by Kirk Hilliard to clientparse.y to accept the keyword
    pager (/usr/bin/pager) as the name of the pager in dict.conf.
    Closes: #204375

  * Modified manpage dictd.8 to clarify the necessity of dictd's --locale
    setting matching the databases in the configuration file.

  * Modified manpage dict.1 to mention the default pager used.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 20 Aug 2003 18:37:12 -0400


dictd (1.9.10-1) unstable; urgency=low

  * New upstream version.  Major changes include:
    Added -t option to dictfmt.
    The predefined DICT servers dict.org and alt0.dict.org are disabled in
    dict by default.
    Implemented 'filter' option to dictd.
    Added several configure variables to specify specific LD_FLAGS for
    particular executables.  (Not meaningful for users of Debian binary
    packages.)

  * When purging dictd, postrm now uses rmdir --ignore-fail-on-non-empty
    instead of rm -fr to remove configuration directories.

  * Patched defs.h to use /etc/dictd/ for dictd.conf

  * Added a conffile, /etc/default/dictd, containing startup options for
    dictd.  This will make it easier to specify command line options, such
    as the locale to be used by dictd, and logging options.
    Closes: #109461, #198402, #174696

  * Added note specifying Debian location of dictd.conf under "FILES" in
    dictd.8. Closes: #202951

  * Included a script, /usr/bin/dictl, as a wrapper for dict.  This script
    converts characters encoded in utf-8 to the user's preferred character
    set. Closes: #147482

  * Deleted statement in dictd.8, under "BUGS", that says there is no way
    to get a running server to re-read the configuration file.  (This
    should have been done in 1.9.3-1.)

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 04 Aug 2003 15:53:01 -0400


dictd (1.9.9-3) unstable; urgency=low

  * Added #include <assert.h> in dictdplugin_popen.cpp Closes: # 195405

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 30 May 2003 16:37:07 -0400


dictd (1.9.9-2) unstable; urgency=low

  * Corrected references to configuration file in README.Debian and in
    dictd.8

  * Changed dictd.8 to mention that a SIGHUP makes dictd re-read the
    confioguration file.

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 16 May 2003 18:26:18 -0400


dictd (1.9.9-1) unstable; urgency=low

  * New upstream version (1.9.8 was not packaged).  Major changes since
    1.9.7 include:

    debian inetd patch has been included by upstream.
    dictd may now be compiled and run on Cygwin.
    dict is patched to prevent segfaulting on abnormally long command
    lines.  Closes: #166336

  * dictdconfig now recognizes *.sufix and *.word index files and creates
    appropriate configuration entries.

  * Added `-D_REENTRANT' to CFLAGS for plugin libraries.

  # The definition of DICTD_CONFIG_NAME has moved from dictd.h to defs.h,
    so patch for config files in /etc/dictd/ ha also moved to defs.h

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 19 Apr 2003 15:41:40 -0400


dictd (1.9.7-2) unstable; urgency=low

  * use -fPIC for plugin libraries Closes: #185092

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 17 Mar 2003 09:57:50 -0500


dictd (1.9.7-1) unstable; urgency=low

  * New upstream version.  (1.9.5, 1.9.6 and 1.9.7 were released too
    quickly for me to package 1.9.5 and 1.9.6)  Major changes since 1.9.3
    include:

    Added --add-strategy option
    Added ability to define plugins in the configuration file.
    Added ability to define virtual dictionaries in the configuration file.
    Added keyword 'invisible' for the database specification of the
    configuration file.
    Various bugfixes and code cleanups.

  * Plugin libraries and sample plugin man_popen are compiled and included
    in the dictd package as examples.

  * Removed emacs variables from changelog.

  * Use `./configure  --verbose --prefix=$(PREFIX) --libexecdir=/usr/lib/dictd
     --datadir=/usr/share/dictd --sysconfdir=/etc' in
    rules instead of tweaking Makefile.in

  * changelog for 1.9.3-1 failed to mention that changing the location
    of dictd configuration files required patching dictd.h (since the
    configuration directory is in CFLAGS, and all executables use the same
    CFLAGS).

  * The scripts dictfmt_index2suffix, dictfmt_index2word, dictfmt_virtual,
    and dictunformat are included in the dictfmt package.

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 16 Mar 2003 15:14:58 -0500


dictd (1.9.3-2) unstable; urgency=low

  * Made postrm "rm -fr /etc/dictd when called with purge. Closes: #180562

  * Corected typo in rules file that installed dictfmt_virtual.1 under the
    name of dictfmt_index2suffix.1

  * Modified default confile dictd.order to have the same order as the
    dictdconfig default.

 -- Robert D. Hilliard <hilliard@debian.org>  Tue, 18 Feb 2003 14:47:43 -0500


dictd (1.9.3-1.woody) unstable; urgency=low

  * Compiled for woody (libc6 2.2.5-11.2)

 -- Robert D. Hilliard <hilliard@debian.org>  Sat,  1 Feb 2003 10:41:02 -0500


dictd (1.9.3-1) unstable; urgency=low

  * New upstream version.  Major changes in this version include:

    Virtual dictionaries support; script to create them provided
    New search strategy 'word'
    Configuration file reloading by SIGHUP
    A lot of plugin enhancements and two plugin examples.
    Optional index_suffix and index_word files are supported, and scripts
    are provided to create them.
    dict_unformat script is provided to create raw database files from
    .dict and .index files.
    Servparse.y now works with bison 1.75.
    dict -D and dict -S will display long dictionary or stratgey names
    sanely.  Closes: #165787

  * dictdconfig now reads /etc/dictdconfig.alias to optionally make
    database name different than basename of .dict.dz file.  This enhances
    the above fix to #165787.

  * Pached Makefile.in to fix configuration and installation directories

  * Modified init file to use SIGHUP for restart.

  * Patched index.c so dictd will startup without error if the config file
    includes the  /dev/null default database.  Closes: #171943

  * Added inetd patch.

  * Patched dictzip.c to prevent segfault on excessively long command
    lines.  Closes: #166325

  * Removed redundant `--' from deluser ----remove-home dictd &>/dev/null
    in postrm.

  * Prepared manpages dictfmt_virtual.1, dictunformat.1,
    dictfmt_index2suffix.1, dictfmt_index2word.1.

  * dictdconfig knows about the database_exit directive, and will insert
    it in /var/lib/dictd/db.list if found in /etc/dictd/dictd.order.

  * Moved dictd and dictdconfig configuration files to /etc/dictd/.

  * Patched dict.c to make --serverinfo work as advertised.
    Closes: #179127

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 31 Jan 2003 13:37:52 -0500


dictd (1.8.0-1.woody) unstable; urgency=low

  *Compiled in woody, with bison 1.35

 -- Robert D. Hilliard <hilliard@debian.org>  Thu,  7 Nov 2002 15:44:00 -0500


dictd (1.8.0-1) unstable; urgency=low

  * New upstream version.  Major changes in this version include:

    Enhanced  8bit, UTF-8, and i18n support in both dictd and dictfmt.
    dictd supports plugins (but they aren't documented)
    dictfmt is now part of the dictd source package
    dictd uses the system libz (the Debian package has done this since
    1.5.5-10).

  * Updated dictd and dictfmt manpages to reflect new options, and correct
    the most egregious errors and omissions of the original dictfmt manpage.

  * Patched dictfmt to prevent duplicating index entry for last item and
    to correct help message.

  * Removed /usr/doc symlinks in all postinst and prerm files.

  * Applied inetd patch.

  * Regenerated configure using autoconf 2.54

  * Modified debugging support to comply with policy version 3.5.7.0.

  * Modified configure target as recommended in autotools-dev package.

  * Added Build-Depends: libltdl3-dev, autotools-dev

  * Bison 1.75 breaks servparse.y.  Hacked Makefile.in to use byacc - this
    produces a ton of warnings, but seems to work.
    Changed Build-Depends: from bison to byacc

  * Corrected readme-inetd - s|/etc/init.d/dictd|/etc/inetd.d| Closes: #167596

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 04 Nov 2002 12:56:12 -0500


dictd (1.7.1-2) unstable; urgency=low

  *  Moved dict | dict-client from Suggests: to Recommends:

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 20 Jul 2002 15:25:21 -0400

dictd (1.7.1-2) unstable; urgency=low

  *  Added `Conflicts: dictd (<< 1.7.1-1)' to dictzip control file.
    Closes: #153228

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 17 Jul 2002 14:02:58 -0400

dictd (1.7.1-1) unstable; urgency=low

  *  New upstream version - includes all previous debian patches except
    inetd patch.  Major changes in this version include:

    Added sanity checks and moved logging so that people get information about
    unreadable configuration files, unreadable databases files, and other
    errors that prevent startup (and were previously silent).
    Closes: #137500

    Improved reporting of authentication matching and access denial.

    Fixed dictunzip problem with single chunk files.
    Closes: #142672

    Made -l connect log something (under :K:)

    Added --locale option, and applied patches from Aleksey Cheusov to
    make dictd know about locale.
    If LC_CTYPE and LC_COLLATE are the same for dictfmt and dictd, then a
    non C collating order should work.

    Make sure pager is closed when reporting fatal error.
    Closes: #141846

    Modified code for Access Specification to add a range of IP addresses
    and an IP address followed by a netmask to the allowable forms of
    allowed addresses.
    Closes: #137143

  *  Modified configure.in to link against system zlib instead of local
    zlib, and modified dict.h, dictd.h, and dictzip.h to #include <zlib,h>
    instead of "zlib.h".

  *  Modified Makefile.in and libmaa/Makefile.in to not remove configure
    on distclean and to honor DEB_BUILD_OPTIONS.

  *  Applied inetd patch.

  *  Modified rules file to make a separate dictzip package.  To avoid
    transition problems, dictd depends on dictzip.  This dependency may be
    removed when woody+1 is released.
    Closes: #141190

  *  Added dependencies on netbase and adduser.
    Closes: #147784

  *  Added -c option to start-stop-daemon in /etc/init.d/dictd.
    Closes: #140513

  *  Changed user, group and home directory removal in postrm to:
    "deluser ----remove-home dictd &>/dev/null || true"
    This will permit this version of dictd to be purged, but, of course it
    can't do anything about the previous version.  :-(
    Closes: #147989

 -- Robert D. Hilliard <hilliard@debian.org>  Tue,  9 Jul 2002 15:18:34 -0400


dictd (1.5.5-10) unstable; urgency=high

  * Security update for zlib vulnerability

  * Modified configure and dictzip.c to use system library zlib1g-dev and
    /usr/include/zlib.h instead of local zlib and zlib.h; compiled with
    zlib1g 1.1.4-1

  * Add to postrm - remove user and group dictd and remove /home/dictd if
    it is empty. closes: #137984

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 18 Mar 2002 12:19:59 -0500


dictd (1.5.5-9) unstable; urgency=low

  * Added \n to access denied error message. closes: #137499

  * Added  ``allow 127.0.0.1'' to access specification in dictd.conf to
    avoid failure when localhost is not the first name after the IP
    address in the /etc/hosts file.  This is a temporary work around for
    #137500 and #138156.

 -- Robert D. Hilliard <hilliard@debian.org>  Thu, 14 Mar 2002 15:41:47 -0500


dictd (1.5.5-8) unstable; urgency=low

  * Corrected spelling in long description - s/Amrose/Ambrose/.

  * Patched servscan.l to fix parse error of IP addresses in the access
    section of /etc/dictd.conf.  (This had been fixed in 1.4.9-3, but
    wasn't included in 1.5.x.) closes: #136380

  * Added ``allow localhost'' to default /etc/dictd.conf file to prevent
    unlimited access from the Internet.  Modified README.Debian.gz to
    mention the default access specification.

 -- Robert D. Hilliard <hilliard@debian.org>  Tue,  5 Mar 2002 17:09:02 -0500


dictd (1.5.5-7) unstable; urgency=low

  * Really added --no-create-home option to adduser call in preinst

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 11 Feb 2002 18:13:56 -0500


dictd (1.5.5-6) unstable; urgency=low

  * Added --quiet option an || true to adduser invocation in preinst
    closes: #132968

  * Added closelog() to daemon_terminate() in daemon.c

 -- Robert D. Hilliard <hilliard@debian.org>  Fri,  8 Feb 2002 11:52:27 -0500


dictd (1.5.5-5) unstable; urgency=low

  * Removed --html option from dict.c help message
    closes: #113479

  * Made numerous corrections and clarifications to dictd.8, including
    conforming option documentation to the code.  Added a note about the
    include keyword and the Debian dictdconfig script, which partially
    addresses, but doesn't close Bug #104096.

  * Made dictd informative messages (-h, -L and -V) display on stdout
    instead of stderr, while still using stderr for error messages.

  * Modified preinst to add user dictd if it doesn't already exist.
    Patched dictd.c to run as user dictd if that user is present on the
    system, and as user nobody otherwise.

  * Created an option (--facility) to permit the user to choose which
    syslog logging facility dictd should use.

  * Included a patch by Joey Hess <joeyh@debian.org> to permit dictd to be
    started by inetd; included README.inetd.gz explaining use of dictd with
    inetd.  Thanks, Joey.
    closes: #62998

  * Removed spurious character (`1') from dictd prerm.
    closes: #131195

  * Included virtual packages dict-client and dict-server in dependency
    relationships.

  * Removed -Wwrite-strings from WCFLAGS in configure script.  This
    removes this flag from XTRACFLAGS in Makefile and avoids 70 compiler
    warnings caused by libc6-dev Bug #111767.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon,  4 Feb 2002 18:16:22 -0500


dictd (1.5.5-4) unstable; urgency=low

  * Removed redundant `echo $PID' from preinst
    Closes: #101866

  * Modified control file and README.Debian to reflect new version of
    WordNet.

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 23 Jun 2001 15:59:21 -0400


dictd (1.5.5-3) unstable; urgency=low

  * Modified Makefile.in and debian/rules to support the environment
    variable `DEB_BUILD_OPTIONS', per policy section 11.1.

  * Modified debian/rules to strip the .note and .comment sections.

  * Modfied dictdconfig, debian/control and README.Debian to include
    dict-cide.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 20 Jun 2001 16:22:50 -0400


dictd (1.5.5-2) unstable; urgency=low

  * Made dictunzip.1 and dictzcat.1 as symlinks to dictzip.1

  * Fixed the kludge for PID in preinst.
    closes #81393

  * Patched dictzip.c to make dictunzip work.  Added /usr/bin/dictunzip
    and /usr/bin/dictzcat as symlinks to /usr/bin/dictzip
    closes #92694

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 25 Apr 2001 16:08:42 -0400


dictd (1.5.5-1) unstable; urgency=low

  * new upstream version - incorporates _all_ previous Debian patches

  *  Previous release (1.5.4-1) fixed a parsing error in dict.c that
     caused it to segauflt in certain unusual cases.  This fixed
     Bug#77685, but it was omitted from the changelog.

  * Modified Makefile.in and libmaa/Makefile.in as in previous
    version.

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 19 Jan 2001 13:28:43 -0500


dictd (1.5.4-1) unstable; urgency=low

  * new upstream version - incorporates almost all previous debian patches,
  and fixes the folowing bugs:
    Fixed typo (s/deby/deny/) in dictd manpage
    Closes: #78275
    Corrected output streams so dict help messages (including -V and -L)
    go to stdout and error messages still go to stderr.
    Closes #78596
    Corrected option listing in dict.c so getopt() will complain if
    argument is omitted for -s, and extended manpage text for the -s
    option.
    Closes #78597
    Disabled --html option in dict, and noted it in manpage.  This
    responds to, but doesn't fix, Bug#78975.

  * Modified Makefile.in as done for previous version; made same changes
    in libmaa/Makefile.in.  Fixed man directory in Makefile.in.

  * Patched dict.c to fix pager problem.

  * Changed readme-dictd and my @db_order in dictdconfig to mention
    dict-devil.

 -- Bob Hilliard <hilliard@debian.org>  Sun, 31 Dec 2000 16:58:04 -0500


dictd (1.5.0-1) unstable; urgency=low

  * New upstream version, which includes mnost of the patches applied to
    1.4.9 in earlier packages.

  * Modifies Makefile.in as done for previous version; made same changes
    in libmaa/Makefile.in.  Fixed man directory in Makefile.in.

  * Patched dictd.c to make it drop root's groups and become group
    nogroup.  Even though dictd dropped root privileges on starting,
    it retained root's group memberships.
    Closes: #75132

  * Patched dictd.c and servscan.l as was done in 1.4.9-5 and 1.4.9-3.

  * Patched dict.c to fix pager problem.

 -- Bob Hilliard <hilliard@debian.org>  Thu, 26 Oct 2000 08:02:57 -0400


dictd (1.4.9-9) stable; urgency=low

  * Note to ftp admins: This fixes a potential security hole, although
    there is no known exploit.

  * Patched dictd.c to make it drop root's groups and become group
    nogroup.  As reported by bug#75132, even though dictd dropped root
    privileges on starting, it retained root's group memberships.

 -- Bob Hilliard <hilliard@debian.org>  Wed, 25 Oct 2000 10:37:38 -0400


dictd (1.4.9-8) unstable; urgency=low

  * Added vera to my @db_order in dictdconfig

  * Modified preinst, readm-dictd and control.

 -- Bob Hilliard <hilliard@debian.org>  Fri, 12 May 2000 14:07:15 -0400


dictd (1.4.9-7) frozen unstable; urgency=low

  * Rlease Manager: This should be safe for frozen since it only adds a
    sleep command in /etc/init.d/dictd restart and uogrades the control
    file for the latest versoinp of the policy manual.

  * Restart is implemented in /etcinit.d/dictd restart by stopping and
    restarting the daemon.  It is possible for the start command to be
    issued before the daemon is stopped, in which case the daemon is not
    started.

    Added a pause between stopping and restarting the daemon.
    Closes: #59321

  *  Updated to Standards-Version: 3.1.1.1

  *  Added Build-Depends

  *  Postrm now removes automatically generated config file
    /var/lib/dictd/db.list on purge.

 -- Bob Hilliard <hilliard@debian.org>  Tue,  7 Mar 2000 14:46:03 -0500


dictd (1.4.9-6) unstable; urgency=low

  * Upgraded dictdconfig to 1.1:

    No longer ignore uncompressed dictionaries.
    Closes: bug#57618

    Directories in the order override file which are not absolute are
    now relative to /usr/share/dictd/, as stated in dictdconfig(8).

    Fixed minor errors in dictdconfig(8).

  * Added -ips to dpkg-gencontrol in rules (two locations) to stop a
    lintian warning.

 -- Bob Hilliard <hilliard@debian.org>  Fri, 25 Feb 2000 13:47:45 -0500


dictd (1.4.9-5) unstable; urgency=low
  * Add patch from Kirk Hilliard to terminate a string in
    dict_setproctitle.  Thanks, Kirk  Closes: #54809

 -- Bob Hilliard <hilliard@debian.org>  Fri, 14 Jan 2000 13:59:22 -0500


dictd (1.4.9-4) unstable; urgency=low

  * Remove postrm for dict since it does nothing except report
    "postrm called with unknown argument `purge'" when purging.
    Closes: bug#52555

  * Minor changes in REEADME's

 -- Bob Hilliard <hilliard@debian.org>  Sun, 12 Dec 1999 14:59:52 -0500


dictd (1.4.9-3) unstable; urgency=low

  * Update to Standards version 3.0.1.1:
    Modified for FHS - /usr/share{doc, man}

    Added scripts to provide and remove symlink  /usr/doc/dict-wn
    to /usr/share/doc/dict-wn and to reconfigure and restart dictd
    when this package is installed or removed.

    Corrected location of GPL license

    Fixed man1_prefix and man8_prefix in Makefile.in to include /share.

  * Applied patches from Lars Wirzenius <liw@iki.fi> that add an
    option to specify the pager used by dict to display the output,
    and modifies the manpage to document this.  Thank you, Lars.
    Closes: bug#47603

  * Patched servscan.l based on e-mail from Rick Faith <faith@dict.org>
    to make dict accept the configuration file syntax described in the
    ditcd.8 manpage.
    Closes: bug#48489

  * Patched dictd.c with patch from Kirk Hilliard <kirk@ghoti.com) to
    cause dictd to drop root privileges as soon as it starts, and to
    prevent dictd from trying to write a pidfile.  Thanks, Kirk.  This
    permits eliminating `su nobody' from the init.d script.
    Closes: bug#40762

 -- Bob Hilliard <hilliard@debian.org>  Fri, 29 Oct 1999 17:11:57 -0400


dictd (1.4.9-2) unstable; urgency=low

  * Included greatly expanded mandage dictdconfig.8; enhanced README's.

  * Removed references to dict-web1913 being in non-free

 -- Bob Hilliard <hilliard@debian.org>  Tue, 15 Jun 1999 00:03:12 -0400


dictd (1.4.9-1) unstable; urgency=low

  * New upstream version

  * Provided /usr/sbin/dictdconfig to read /usr/share/dictd, and
    write a list of datbase files in /var/lib/dictd/db.list.
    closes 24189, 36920

  * Call /usr/sbin/dictdconfig in the postinst.

  * Applied patch to optionally make dictd read the contents of
    /var/lib/dictd/db.list in lieu of the database section of
    /etc/ditd/conf

  * /etc/init.d.dictd:
    displays a message when the unsupported `reload' command is given

    Inserted `cd/' before `su -c nobody . .' to prevent an error when
    dictd is started from a directory with restricted permissions -
    closes #34907

  * Applied all patches listed below for 1.4.8 to 1.4.9 source.

  * made changes in Makefile.in and dictd.8 as listed below for 1.4.8-1

 -- Bob Hilliard <hilliard@debian.org>  Tue,  8 Jun 1999 19:34:37 -0400


dictd (1.4.8-11) unstable; urgency=low

  * Changed test for null PID in preinst and postrm

 -- Bob Hilliard <hilliard@debian.org>  Sun, 30 May 1999 14:45:52 -0400


dictd (1.4.8-10) unstable; urgency=low

  * Compiled with libc6_2.1.1-7 (potato)

  * Patched servscan.l and clientscan.l to fix misaligned error messages.
    Patch by Kirk Hilliard <kirk@debian.org> - fixes 37326

  * Simplified dictd script.  Set interpreter to /bin/ash for testing,
    then to /bin/sh for release.

  * Added prerm script

  * Reordered sequence of foldoc,jargon and elements dictionaries in
    dictd.conf.

  * Patched libmaa/hash.c to fix int/long mix up on Alpha.
    Patch by Nikita Schmidt <cetus@snowball.ucd.ie> - fixes #36636

  * Patched libmaa/hash.c to remove compiler warnings introduced by
    libc6_21. Patch by Kirk Hilliard <kirk@debian.org>

  * Corrected format in /etc/init.d files to comply with console message
    standard - fixes #35519 and #36919

  * removed spurious `F' from /etc/init.d.dictd - fixes #35126 and #35519

 -- Bob Hilliard <hilliard@debian.org>  Fri, 28 May 1999 19:46:07 -0400


dictd (1.4.8-9) frozen unstable; urgency=low

  * made /etc/init.d/dictd #!bash (most bashisms are gone, but I still
    get one error message if run with #!ash)

  * Modified /etc/init.d/dictd to eliminate meaningless error mesage on
    startup and reduced the numberof redundant kill commands

  * Modified preinst, postinst, and postrm to be consistent with
    /etc/init.d/dictd

  * noted in control file and README.Debian that dict-web1913 is found in
    potato non-free.

  * modified README-dictd

 -- Bob Hilliard <hilliard@debian.org>  Wed, 27 Jan 1999 18:49:12 -0500


dictd (1.4.8-8) frozen unstable; urgency=low

  * Removed spurious " character in /etc/init.d/dictd

 -- Bob Hilliard <hilliard@debian.org>  Mon, 18 Jan 1999 10:09:41 -0500

dictd (1.4.8-7) frozen unstable; urgency=low

  * On systems where su is secure-su, 'su nobody' gets a path that doesn't
    include /sbin.  Changed 'su nobody -c "start-stop-daemon . . .'
    to 'su nobody -c "/sbin/start-stop-daemon . . .'
    Fixes Bugs #31860 and #31861'

 -- Bob Hilliard <hilliard@debian.org>  Thu, 14 Jan 1999 14:43:06 -0500


dictd (1.4.8-6) frozen unstable; urgency=high

  * Modified /etc/init.d script so dictd daemon runs as noboby, thereby
    eliminating a potential security risk.  Closes #31624.

  * Removed non-free package dict-web1913 from Sugests: list.

 -- Bob Hilliard <hilliard@debian.org>  Tue, 12 Jan 1999 18:23:43 -0500


dictd (1.4.8-5) frozen unstable; urgency=low

  * Patched dict.c to initialize stdout as required for glibc2.1 (this may
    only be needed for (Sparc) ports).
    Patched decl.h and libmaa/decl.h to eliminate Sun OS stuff when compiling
    on Sparc/Linux.  Patch supplied by Christian Meder
    <meder@isr.uni-stuttgart.de> .  Closes #30176

  * Re-commented dictionary location lines in .conf; replaced dummy dict
    and index in .conf and in rules, and added message in post-inst to
    advise user to uncomment lines for installed dictionaries.  Removed
    preinst, modified postrm.
    Closes #30137, 30212

  * Updated README.Debian.gz files

 -- Bob Hilliard <hilliard@debian.org>  Wed,  2 Dec 1998 16:59:13 -0500


dictd (1.4.8-4) frozen unstable; urgency=low

  * Patched dictd.c to remove superfluous %s in format line of "reaper"
    (Thanks to alexander.schwartz@gmx.net)  Closes #29976

  * Checked for Policy 2.5.0.0 and updated debian/control to
    Standards-Version 2.5.0.0

  * Fixed typo s/gazetter/gazetteer/ in dictd.conf.

 -- Bob Hilliard <hilliard@debian.org>  Sat, 28 Nov 1998 18:42:25 -0500


dictd (1.4.8-3) frozen unstable; urgency=low

  * Removed dummy dict and index from .conf and from rules

  * Uncommented dictionary location lines in .conf

  * Changed description in control file and in README.Debian.gz to reflect
    dict-web1913 is now available in non-free - fixes #29467

  * Added dict-web1913 to "Suggests"

  * Modified dict.conf to access a server on the local host and then one
    at dict.org if the localhost server is not available.

 -- Bob Hilliard <hilliard@debian.org>  Sun, 22 Nov 1998 16:18:14 -0500


dictd (1.4.8-2) unstable; urgency=low

  * Removed "Recommends" for dict-web1913 from dictd - closes #23709

  * Changed expected availability date for dict-web1913 to July 1988 in
    dictd control

  * Fixed postrm so it doesn't give an error with an argument of upgrade

 -- Bob Hilliard <hilliard@debian.org>  Thu,  2 Jul 1998 15:21:36 -0400


dictd (1.4.8-1) unstable; urgency=low

  * Initial release

  * Corrected name of dictd configuration file in two places in the
    manpage dictd.8

  * Removed configure from the files removed by the distclean target in
    Makefile.in in top level and libmaa directories so autoconf will not
    be required to run configure after making distclean.

  * Added doc/Makefile to rm -f line in top level Makefile.in distclean.
    doc is excluded from $subdirs, so it isn't built or cleaned, but
    configure makes Makefile.

 -- Bob Hilliard <hilliard@debian.org>  Fri, 17 Apr 1998 18:54:26 -0400
